Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class AccTravDefImpl

`java.lang.Object
oracle.jbo.common.AccTravDefImpl`

All Implemented Interfaces:
  AccTravDef, java.io.Serializable

public class AccTravDefImpl
extends java.lang.Object
implements AccTravDef

This class is a base implementation of the `AccTravDef` interface.

Since:
  JDeveloper 10.1.2
See Also:
  `AccTravDef`, Serialized Form

Field Summary

Fields inherited from interface oracle.jbo.common.AccTravDef
`ACC_TRAV_LIMIT_ALL, ACC_TRAV_LIMIT_UNINITIALIZED`

Constructor Summary
`AccTravDefImpl(AccTravDef allLevelsAccTravDef, AccTravQualifier[] accTravQualifiers)`
`AccTravDefImpl(AccTravDef allLevelsAccTravDef, AccTravQualifier[] accTravQualifiers, int accTravLimit)`

Method Summary
`AccTravQualifier` | `findMatch(Row row)` Checks to see if there is an accessor traversal qualifier for the `row`.
`int` | `getAccTravLimit()`
`AccTravQualifier[]` | `getAccTravQualifiers()` Returns an array of accessor traversal qualifiers belonging to this accessor traversal definition.
`AccTravDef` | `getAllLevelsAccTravDef()` Returns the all-level accessor traversal definition.
`boolean` | `isAllLevels()` Returns the flag indicating whether this accessor traversal definition is the all-level accessor traversal definition.
`void` | `setAccTravLimit(int limit)`
`void` | `setAllLevels(boolean b)` Sets the flag indicating whether this accessor traversal definition.
`void` | `setAllLevelsAccTravDef(AccTravDef allLevelsAccTravDef)` Sets the all-level accessor traversal definition.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccTravDefImpl

    public AccTravDefImpl(AccTravDef allLevelsAccTravDef,
                          AccTravQualifier[] accTravQualifiers)

### AccTravDefImpl

    public AccTravDefImpl(AccTravDef allLevelsAccTravDef,
                          AccTravQualifier[] accTravQualifiers,
                          int accTravLimit)

Method Detail

### getAllLevelsAccTravDef

    public AccTravDef getAllLevelsAccTravDef()

  Description copied from interface: `AccTravDef`
  Returns the all-level accessor traversal definition. The all-level accessor traversal definition should return `true` when `isAllLevels()` is invoked.
  Specified by:
    `getAllLevelsAccTravDef` in interface `AccTravDef`
  Returns:
    the all-level accessor traversal definition. `null` if none.

### setAllLevelsAccTravDef

    public void setAllLevelsAccTravDef(AccTravDef allLevelsAccTravDef)

  Description copied from interface: `AccTravDef`
  Sets the all-level accessor traversal definition.
  Specified by:
    `setAllLevelsAccTravDef` in interface `AccTravDef`
  Parameters:
    `allLevelsAccTravDef` - the all-level accessor traversal definition. `null` if none.

### isAllLevels

    public boolean isAllLevels()

  Description copied from interface: `AccTravDef`
  Returns the flag indicating whether this accessor traversal definition is the all-level accessor traversal definition. The root AccTravDef should return false. And, only the root AccTravDef should optionally have one and only one all-level AccTravDef--returned by `getAllLevelsAccTravDef()`.
  Specified by:
    `isAllLevels` in interface `AccTravDef`
  Returns:
    the flag indicating whether this accessor traversal definition.

### setAllLevels

    public void setAllLevels(boolean b)

  Description copied from interface: `AccTravDef`
  Sets the flag indicating whether this accessor traversal definition. This method is used to mark the all-level AccTravDef's isAllLevels flag to `true`.
  Specified by:
    `setAllLevels` in interface `AccTravDef`
  Parameters:
    `b` - the flag value indicating whether this accessor traversal definition.

### getAccTravQualifiers

    public AccTravQualifier[] getAccTravQualifiers()

  Description copied from interface: `AccTravDef`
  Returns an array of accessor traversal qualifiers belonging to this accessor traversal definition.
  Specified by:
    `getAccTravQualifiers` in interface `AccTravDef`
  Returns:
    an array of accessor traversal qualifiers.

### findMatch

    public AccTravQualifier findMatch(Row row)

  Description copied from interface: `AccTravDef`
  Checks to see if there is an accessor traversal qualifier for the `row`. If so, it returns the first matching AccTravQualifier.
  Specified by:
    `findMatch` in interface `AccTravDef`
  Returns:
    the first matching accessor traversal qualifier.

### getAccTravLimit

    public int getAccTravLimit()

  Specified by:
    `getAccTravLimit` in interface `AccTravDef`

### setAccTravLimit

    public void setAccTravLimit(int limit)

  Specified by:
    `setAccTravLimit` in interface `AccTravDef`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.